Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.cos
Class COSNumber

    java.lang.Object
      org.pdfbox.cos.COSBase
          org.pdfbox.cos.COSNumber

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  COSFloat, COSInteger

public abstract class COSNumber
extends COSBase

This class represents an abstract number in a PDF document.

Version:
  $Revision: 1.9 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static COSInteger` | `ONE` ONE.
`static COSInteger` | `ZERO` ZERO.

Constructor Summary
`COSNumber()`

Method Summary
`abstract double` | `doubleValue()` This will get the double value of this number.
`abstract float` | `floatValue()` This will get the float value of this number.
`static COSNumber` | `get(String number)` This factory method will get the appropriate number object.
`abstract int` | `intValue()` This will get the integer value of this number.
`abstract long` | `longValue()` This will get the long value of this number.

Methods inherited from class org.pdfbox.cos.COSBase
`accept, getCOSObject, getFilterManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO

    public static final COSInteger ZERO

  ZERO.

### ONE

    public static final COSInteger ONE

  ONE.

Constructor Detail

### COSNumber

    public COSNumber()

Method Detail

### floatValue

    public abstract float floatValue()

  This will get the float value of this number.

  Returns:
    The float value of this object.

### doubleValue

    public abstract double doubleValue()

  This will get the double value of this number.

  Returns:
    The double value of this number.

### intValue

    public abstract int intValue()

  This will get the integer value of this number.

  Returns:
    The integer value of this number.

### longValue

    public abstract long longValue()

  This will get the long value of this number.

  Returns:
    The long value of this number.

### get

    public static COSNumber get(String number)
                         throws IOException

  This factory method will get the appropriate number object.

  Parameters:
    `number` - The string representation of the number.
  Returns:
    A number object, either float or int.
  Throws:
    `IOException` - If the string is not a number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD